org.apache.bcel.verifier

## Class VerifierFactoryListModel

- java.lang.Object
- - org.apache.bcel.verifier.VerifierFactoryListModel

- All Implemented Interfaces:
    ListModel<String>, VerifierFactoryObserver

      public class VerifierFactoryListModel
      extends Object
      implements VerifierFactoryObserver, ListModel<String>

  This class implements an adapter; it implements both a Swing ListModel and a VerifierFactoryObserver.
  Version:
    $Id: VerifierFactoryListModel.java 1749611 2016-06-21 21:53:40Z ggregory $

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VerifierFactoryListModel()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addListDataListener(ListDataListener l)`
    `String` | `getElementAt(int index)`
    `int` | `getSize()`
    `void` | `removeListDataListener(ListDataListener l)`
    `void` | `update(String s)` VerifierFactoryObserver instances are notified invoking this method.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VerifierFactoryListModel

          public VerifierFactoryListModel()

  - ### Method Detail

    - #### update

          public void update(String s)

      Description copied from interface: `VerifierFactoryObserver`
      VerifierFactoryObserver instances are notified invoking this method. The String argument is the fully qualified class name of a class a new Verifier instance created by the VerifierFactory operates on.
      Specified by:
        `update` in interface `VerifierFactoryObserver`

    - #### addListDataListener

          public void addListDataListener(ListDataListener l)

      Specified by:
        `addListDataListener` in interface `ListModel<String>`

    - #### removeListDataListener

          public void removeListDataListener(ListDataListener l)

      Specified by:
        `removeListDataListener` in interface `ListModel<String>`

    - #### getSize

          public int getSize()

      Specified by:
        `getSize` in interface `ListModel<String>`

    - #### getElementAt

          public String getElementAt(int index)

      Specified by:
        `getElementAt` in interface `ListModel<String>`

Copyright © 2004–2017 The Apache Software Foundation. All rights reserved.